Public Class Config
    Public Property ConnectionString As String = "Server=SERVER;Database=DATABASE;User Id=sa;Password=dd"
    Public Property CertificateFile As String = "C:\Path\To\Cert.pfx"
    Public Property CertificatePass As String = "CertificatePassword"
    Public Property CertificateFingerprint As String = ""
    Public Property Email As String = "foo.bar@wisag.de"
    Public Property Password As String = "Password"
    Public Property BaseUrl As String = "https://data.api.wisag.de:8443"

    Public Property ProxyHost As String = ""
    Public Property ProxyPort As Integer = 0
    Public Property ProxyUsername As String = ""
    Public Property ProxyPassword As String = ""
    Public Property CurrentQuery As String = "Custom"
    Public Property CustomQueryString As String = ""

    Public Function HasProxySet() As Boolean
        Return ProxyHost <> "" And ProxyPort > 0
    End Function

    Public Function HasProxyCredentialsSet() As Boolean
        Return ProxyUsername <> "" And ProxyPassword <> ""
    End Function
End Class
